Public Class CErrors
  Private m_sErrors() As String
  Private m_nNumErrs As Integer

  Public Sub New()
    Clear()
  End Sub

  Public Sub Add(ByVal sErr As String)
    ReDim Preserve m_sErrors(m_nNumErrs + 1)
    m_sErrors(m_nNumErrs) = sErr
    m_nNumErrs = m_nNumErrs + 1
  End Sub

  Public Function GetCount() As Integer
    Return m_nNumErrs
  End Function

  Public Function GetErrText(ByVal nIndex As Integer) As String
    Dim sErrText As String = "Out of Bound Index"
    Try
      sErrText = m_sErrors(nIndex)
    Catch
    End Try
    Return sErrText
  End Function

  Public Sub Clear()
    m_nNumErrs = 0
    ReDim m_sErrors(1)
  End Sub
End Class
